• Advisory ID: DRUPAL-SA-CONTRIB-2009-011
  • Project: Tasklist (third-party module)
  • Version: 5.x
  • Date: 2009 March 18
  • Security risk: Highly critical
  • Exploitable from: Remote
  • Vulnerability: SQL injection and Cross-site scripting (XSS)

Description

Tasklist does not properly use the Drupal database API and inserts values from the URL directly into queries. This can be exploited to perform SQL Injection attacks. These attacks may lead to a malicious user gaining full administrator access. In addition, Tasklist allows users to add CSS to pages. This CSS was not restricted or filtered, allowing malicious users to insert arbitrary HTML and script code into these pages. Such a cross site scripting (XSS) attack may also lead to a malicious user gaining full administrative access.

Versions affected

  • Tasklist 5.x-1.x prior to 5.x-1.3
  • Tasklist 5.x-2.x prior to 5.x-2.0-alpha1

Drupal core is not affected. If you do not use the contributed Tasklist module, there is nothing you need to do.

Solution

Install the latest version:

Tasklist for Drupal 4.7.x is no longer supported.

See also the Tasklist project page.

Reported by

John Morahan of the Drupal Security Team.

Fixed by

Stéphane Corlosquet of the Drupal Security Team.

Contact

The security contact for Drupal can be reached at security at drupal.org or via the form at http://drupal.org/contact.